Subject: [dtn] RFC5050(bis) Proposed Revisions

From: "Templin, Fred L" <[email-masked]>
Date: Fri, 20 Jun 2014 19:35:46 +0000

Below are proposed revisions for RFC5050(bis). Please comment on

this list ([email-masked]<mailto:[email-masked]>).

Thanks - Fred

[email-masked]

---

Appendix A.                  Summary of Revisions

   This specification differs from RFC-5050 in a number of ways.  The

   revisions that seem to the author to be most significant are listed

   below:

     . Amplify the discussion of custody transfer.  Move current

        custodian to an extension block, of which there can be multiple

        occurrences (providing possible support for the MITRE idea of

        multiple concurrent custodians, from several years ago); define

        that block in this spec.

     . Add the notion of "embargoes", i.e., what do you do when a

        route unexpectedly goes bad for a while?  This entails adding

        another extension block (Forwarding Anomaly) and another

        administrative record (Reopen Signal).

     . Incorporate the Compressed Bundle Header Encoding [RFC6260]

        concepts into the base specification: nodes are explicitly

        identified by node numbers, and operations that pertain to

        nodes are described in terms of node numbers rather than

        endpoint IDs.

     . Add basic ("imc") multicast to the BP spec.  This entails

        adding another administrative record, Multicast Petition.

     . Add Destination EID extension block for destinations that can't

        be expressed in "ipn"-scheme and "imc"-scheme URIs.  Define it

        in this spec.

     . Incorporate the "Extended Class of Service" features into the

        base specification.

     . Restructure the primary block, making it immutable.  Add CRC.

        Remove the dictionary.

     . Add optional Payload CRC extension block, defined in this spec.

     . Add block ID number to canonical block format (to support

        streamlined Bundle Security Protocol).

     . Add bundle age extension block, defined in this spec.

     . Define two other extension blocks in this spec: previous node

        number, hop count.

     . Clean up a conflict between fragmentation and custody transfer

        that Ed Birrane pointed out.

     . Remove "DTN time" values from administrative records.

        Nanosecond precision will not be meaningful among nodes whose

        clocks are not closely synchronized, and absent that feature

        the administrative record's bundle creation time suffices to

        indicate the time of occurrence of the reported event.

     . Note that CL protocols are supposed to discard data that they

        find to have been corrupted.